# == Class: mysql::config
#
# This class sets mysql-root password if not already set.
#
# === Parameters
#
# [*password*] - The password for mysql-root.
#
# === Subscribes
#
# The mysql::install class
#
# === Author
#
# Sampo Tyllilä <sampo.tyllila@gmail.com>
#
class mysql::config {
        exec { 'set-mysql-password':
                subscribe   => Class['mysql::install'],
                refreshonly => true,
                unless      => "mysqladmin -uroot -p${password} status",
                path        => '/bin:/usr/bin',
                command     => "mysqladmin -uroot password ${password}",
        }
}
